Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class ClearspaceAdminProvider

    java.lang.Object
      org.jivesoftware.openfire.clearspace.ClearspaceAdminProvider

All Implemented Interfaces:
  AdminProvider

    public class ClearspaceAdminProvider

extends Object
implements AdminProvider

Handles retrieving list of admins from Clearspace.

Author:
  Daniel Henninger

Field Summary
`protected static String` | `PERMISSION_URL_PREFIX`

Constructor Summary
`ClearspaceAdminProvider()`

Method Summary
`List<org.xmpp.packet.JID>` | `getAdmins()` The clearspace provider pulls the admin list from the userPermissions web service
`boolean` | `isReadOnly()` The clearspace provider is read only
`void` | `setAdmins(List<org.xmpp.packet.JID> admins)` The clearspace provider does not allow setting admin lists from this interface

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERMISSION_URL_PREFIX

    protected static final String PERMISSION_URL_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ClearspaceAdminProvider

    public ClearspaceAdminProvider()

Method Detail

### getAdmins

    public List<org.xmpp.packet.JID> getAdmins()

  The clearspace provider pulls the admin list from the userPermissions web service

  Specified by:
    `getAdmins` in interface `AdminProvider`
  Returns:
    The list of admin users.
  See Also:
    `AdminProvider.getAdmins()`

### setAdmins

    public void setAdmins(List<org.xmpp.packet.JID> admins)

  The clearspace provider does not allow setting admin lists from this interface

  Specified by:
    `setAdmins` in interface `AdminProvider`
  Parameters:
    `admins` - List of JIDs of accounts to grant admin access to.
  See Also:
    `AdminProvider.setAdmins(java.util.List)`

### isReadOnly

    public boolean isReadOnly()

  The clearspace provider is read only

  Specified by:
    `isReadOnly` in interface `AdminProvider`
  Returns:
    True or false if the admin list can be edited.
  See Also:
    `AdminProvider.isReadOnly()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.